cpw.mods.fml.common.discovery.asm

## Class ASMModParser

- java.lang.Object
- - cpw.mods.fml.common.discovery.asm.ASMModParser

-     public class ASMModParser
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASMModParser(java.io.InputStream stream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnotationArray(java.lang.String name)`
    `void` | `addAnnotationEnumProperty(java.lang.String name, java.lang.String desc, java.lang.String value)`
    `void` | `addAnnotationProperty(java.lang.String key, java.lang.Object value)`
    `void` | `addSubAnnotation(java.lang.String name, java.lang.String desc)`
    `void` | `beginNewTypeName(java.lang.String typeQName, int classVersion, java.lang.String superClassQName)`
    `void` | `endArray()`
    `void` | `endSubAnnotation()`
    `java.util.LinkedList<ModAnnotation>` | `getAnnotations()`
    `org.objectweb.asm.Type` | `getASMSuperType()`
    `org.objectweb.asm.Type` | `getASMType()`
    `java.lang.String` | `getBaseModProperties()`
    `int` | `getClassVersion()`
    `boolean` | `isBaseMod(java.util.List<java.lang.String> rememberedTypes)`
    `void` | `sendToTable(ASMDataTable table, ModCandidate candidate)`
    `void` | `setBaseModProperties(java.lang.String foundProperties)`
    `void` | `startClassAnnotation(java.lang.String annotationName)`
    `void` | `startFieldAnnotation(java.lang.String fieldName, java.lang.String annotationName)`
    `void` | `startMethodAnnotation(java.lang.String methodName, java.lang.String methodDescriptor, java.lang.String annotationName)`
    `java.lang.String` | `toString()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASMModParser

          public ASMModParser(java.io.InputStream stream)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### beginNewTypeName

          public void beginNewTypeName(java.lang.String typeQName,
                              int classVersion,
                              java.lang.String superClassQName)

    - #### startClassAnnotation

          public void startClassAnnotation(java.lang.String annotationName)

    - #### addAnnotationProperty

          public void addAnnotationProperty(java.lang.String key,
                                   java.lang.Object value)

    - #### startFieldAnnotation

          public void startFieldAnnotation(java.lang.String fieldName,
                                  java.lang.String annotationName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getASMType

          public org.objectweb.asm.Type getASMType()

    - #### getClassVersion

          public int getClassVersion()

    - #### getASMSuperType

          public org.objectweb.asm.Type getASMSuperType()

    - #### getAnnotations

          public java.util.LinkedList<ModAnnotation> getAnnotations()

    - #### validate

          public void validate()

    - #### isBaseMod

          public boolean isBaseMod(java.util.List<java.lang.String> rememberedTypes)

    - #### setBaseModProperties

          public void setBaseModProperties(java.lang.String foundProperties)

    - #### getBaseModProperties

          public java.lang.String getBaseModProperties()

    - #### sendToTable

          public void sendToTable(ASMDataTable table,
                         ModCandidate candidate)

    - #### addAnnotationArray

          public void addAnnotationArray(java.lang.String name)

    - #### addAnnotationEnumProperty

          public void addAnnotationEnumProperty(java.lang.String name,
                                       java.lang.String desc,
                                       java.lang.String value)

    - #### endArray

          public void endArray()

    - #### addSubAnnotation

          public void addSubAnnotation(java.lang.String name,
                              java.lang.String desc)

    - #### endSubAnnotation

          public void endSubAnnotation()

    - #### startMethodAnnotation

          public void startMethodAnnotation(java.lang.String methodName,
                                   java.lang.String methodDescriptor,
                                   java.lang.String annotationName)